<?
  // ---- Single Out --------------------------------------------------------------------------
  define ("c_ID_SingleOutEnabled",32250);
  define ("c_ID_SingleOutLevel",  41849);
  define ("c_ID_SingleOutMsg",    38744);

  // ---- Html Out ----------------------------------------------------------------------------
  define ("c_ID_HtmlOutEnabled",  35260);
  define ("c_ID_HtmlOutLevel",    35580);
  define ("c_ID_HtmlOutMsgCount", 24104);
  define ("c_ID_HtmlOutMsgId",    36522);
  define ("c_ID_HtmlOutMsgList",  35751);

  // ---- IPS Out -----------------------------------------------------------------------------
  define ("c_ID_IPSOutEnabled",   59628);
  define ("c_ID_IPSOutLevel",     43792);

  // ---- EMail Out ---------------------------------------------------------------------------
  define ("c_ID_EMailOutEnabled", 45072);
  define ("c_ID_EMailOutLevel",   35856);
  define ("c_ID_EMailOutDelay",   21119);
  define ("c_ID_EMailOutMsgList", 50031);
  define ("c_ID_SmtpDevice",      0);
  define ("c_EMail_Address1",     "");
  define ("c_EMail_Address2",     "");
  define ("c_EMail_Address3",     "");
  define ("c_EMail_Subject",      "IP-Symcon Fehler sind aufgetreten!");
  define ("c_EMail_Signature",    "lg\nDei Hittn");

  // ---- File Out ----------------------------------------------------------------------------
  define ("c_ID_FileOutEnabled",  35430);
  define ("c_ID_FileOutLevel",    30622);
  define ("c_ID_FileOutDays",     40491);
  define ("c_File_Directory",  "");
  define ("c_File_Extension",  "log");

  // ---- Log4IPS Out -------------------------------------------------------------------------
  define ("c_ID_Log4IPSOutEnabled",24900);
  define ("c_ID_Log4IPSOutLevel",  56902);
  define ("c_ID_Log4IPSOutDays",   14815);
  define ("c_Log4IPS_Directory",  "");
  define ("c_Log4IPS_Extension",  "xml");

  // ---- Echo Out ----------------------------------------------------------------------------
  define ("c_ID_EchoOutEnabled",   23257);
  define ("c_ID_EchoOutLevel",     51724);

  // ---- Prowl Out ---------------------------------------------------------------------------
  define ("c_ID_ProwlOutEnabled",  16425);
  define ("c_ID_ProwlOutLevel",    35761);
  define ("c_Key_ProwlService",    '');



  // ------------------------------------------------------------------------------------------
  define ("c_ID_ScriptSendMail",       19365);
  define ("c_ID_ScriptPurgeLogFiles",  49215);

  define ("c_Format_LogOutContextLen", 12);
  define ("c_Format_LogOutMicroLen",   4);
  define ("c_Format_LogOutDate",       'Y-m-d H:i:s');
  define ("c_Style_HtmlOutTable",      'font-family:courier; font-size:10px;');
  define ("c_Style_HtmlOutColGroup",   '<colgroup><col width="25px"><col width="35px"><col width="100px"><col width="200px"><col></colgroup>');

  define ("c_LogLevel_Fatal",          0);
  define ("c_LogLevel_Error",          1);
  define ("c_LogLevel_Warning",        2);
  define ("c_LogLevel_Information",    3);
  define ("c_LogLevel_Debug",          4);
  define ("c_LogLevel_Communication",  5);
  define ("c_LogLevel_Trace",          6);
  define ("c_LogLevel_Test",           7);
  define ("c_LogLevel_All",            8);

  define ("c_LogType_Fatal",          'Fatal');
  define ("c_LogType_Error",          'Error');
  define ("c_LogType_Warning",        'Warning');
  define ("c_LogType_Information",    'Information');
  define ("c_LogType_Debug",          'Debug');
  define ("c_LogType_Communication",  'Communication');
  define ("c_LogType_Trace",          'Trace');
  define ("c_LogType_Test",           'Test');

  define ("c_lf",    "\n");

  function IPSLogger_LogTypeShort ($LogType) {
		$LogTypeShort =  array (
			c_LogType_Fatal                 => 'Fat',
			c_LogType_Error                 => 'Err',
			c_LogType_Warning               => 'Wrn',
			c_LogType_Information           => 'Inf',
			c_LogType_Debug                 => 'Dbg',
			c_LogType_Communication         => 'Com',
			c_LogType_Trace                 => 'Trc',
			c_LogType_Test                  => 'Tst'
		);
		return $LogTypeShort[$LogType];
	}

	function IPSLogger_LogTypeXml ($LogType) {
		$LogTypeXml = array (
			c_LogType_Fatal                 => 'FATAL',
			c_LogType_Error                 => 'ERROR',
			c_LogType_Warning               => 'WARN',
			c_LogType_Information           => 'INFO',
			c_LogType_Debug                 => 'DEBUG',
			c_LogType_Communication         => 'VERBOSE',
			c_LogType_Trace                 => 'TRACE',
			c_LogType_Test                  => 'NOTICE'
		);
		return $LogTypeXml[$LogType];
	}

  function IPSLogger_LogTypeStyle ($LogType) {
  		$LogTypeStyle= array (
			c_LogType_Fatal                 => 'color:#000000;background:#FF6347;',
			c_LogType_Error                 => 'color:#000000;background:#FF0000;',
			c_LogType_Warning               => 'color:#FFFFFF;background:#696969;',
			c_LogType_Information           => 'color:#FFFFFF;',
			c_LogType_Debug                 => 'color:#B0C4DE;',
			c_LogType_Communication         => 'color:#A9A9A9;',
			c_LogType_Trace                 => 'color:#808080;',
			c_LogType_Test                  => 'color:#4169E1;'
		);
		return $LogTypeStyle[$LogType];
	}

  function IPSLogger_HtmlEncode($s) {
    $source = array("&", "", "", "", "", "", "", "", "<", ">", "", "", "", "", "");
    $dest = array("&amp;", "&auml;", "&ouml;", "&uuml;", "&Auml;", "&Ouml;", "&Uuml;", "&szlig;", "&lt;", "&gt;", "&euro;", "", "&#178", "");
    $s = str_replace($source, $dest, $s);
    return $s;
  }
?>